#
# spec file for package python-bjoern
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bjoern
Version:        1.4.2
Release:        3.21
Summary:        A screamingly fast Python WSGI server written in C
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/jonashaag/bjoern
Source:         http://pypi.python.org/packages/source/b/bjoern/bjoern-%{version}.tar.gz
BuildRequires:  libev-devel
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
A screamingly fast Python WSGI server written in C depending on libev.

%prep
%setup -q -n bjoern-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitearch}/*

%changelog
* Mon Feb  2 2015 boris@steki.net
- update to version 1.4.2
  * CVE-2015-0219, see https://www.djangoproject.com/weblog/2015/jan/13/security/
  * Default to keep-alive for HTTP/1.1 connections
  * Unix socket support
  * Fixed 64bit compile errors
* Thu Nov 22 2012 saschpe@suse.de
- Initial version
